1 Reply Latest reply: Sep 26, 2013 7:23 AM by judysings
vyette2 Level 1 Level 1 (0 points)

I have an older version of itunes. my classic Ipod, probably generation 2 or 3 died. I got another one from the apple stire and tried to sync with itunes. It said I have to download version 10 or higher. I started downloading newest version 11.1, but it seems its not "updating" my current version. What to do? will I lose my library if I install version 11?


Windows XP